import {httpApi} from "../../request/httpApi";

export default {
    //支付申请分页查询
    async page(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/expense/pay/page',
            method: 'post',
            data: form
        }, msg);
    },
    //支付申请草稿箱列表
    async draft(form = {}, msg = false) {
        return httpApi({
            url: '/api/blade-control/expense/pay/draft/list',
            method: 'get',
            params: form
        }, msg);
    },
    //支付申请信息详情
    async detail(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/expense/pay/detail',
            method: 'get',
            params: form
        }, msg);
    },
    //支付申请提交
    async submit(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/expense/pay/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //支付申请记录物理删除
    async remove(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/expense/pay/remove',
            method: 'post',
            params: form
        }, msg);
    },
    //支付申请记录上报撤销
    async cancel(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/expense/pay/cancel',
            method: 'post',
            params: form
        }, msg);
    },
    //获取项目合同段回款数据列表
    async contractList(form, msg = false) {
        return httpApi({
            url: '/api/blade-control/ex/ma/project/contract/list',
            method: 'get',
            params: form
        }, msg);
    }
}
